# template: hammer_plugin
%global gem_name hammer_cli_foreman_ansible
%global plugin_name foreman_ansible

%global hammer_confdir %{_sysconfdir}/hammer

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?foremandist}%{?dist}
Summary: Foreman Ansible plugin for Hammer CLI
License: GPLv3
URL: https://github.com/theforeman/hammer-cli-foreman-ansible
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.7
Requires: ruby < 4
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Foreman Ansible plugin for Hammer CLI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{hammer_confdir}/cli.modules.d
install -m 0644 .%{gem_instdir}/config/%{plugin_name}.yml \
                %{buildroot}%{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%config(noreplace) %{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/config
%{gem_instdir}/test

%changelog
* Sun Apr 07 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.7.0-1
- Update to 0.7.0

* Mon Nov 27 2023 nofaralfasi <nalfassi@redhat.com> 0.6.0-1
- Update to 0.6.0

* Sun Mar 26 2023 Foreman Packaging Automation <packaging@theforeman.org> 0.5.0-1
- Update to 0.5.0

* Wed Oct 19 2022 Evgeni Golov 0.4.0-2
- Regenerate spec based on latest template

* Tue May 31 2022 Oleh Fedorenko <ofedoren@redhat.com> 0.4.0-1
- Update to 0.4.0

* Tue Aug 03 2021 Oleh Fedorenko <ofedoren@redhat.com> 0.3.4-1
- Update to 0.3.4

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.3.3-2
- Rebuild plugins for Ruby 2.7

* Mon Jan 11 2021 Oleh Fedorenko <ofedoren@redhat.com> 0.3.3-1
- Update to 0.3.3

* Wed Aug 21 2019 Ondrej Prazak <oprazak@redhat.com> 0.3.2-1
- Update to 0.3.2

* Fri Apr 05 2019 Oleh Fedorenko <ofedoren@redhat.com> 0.3.0-1
- Update to 0.3.0

* Tue Mar 26 2019 Oleh Fedorenko <ofedoren@redhat.com> 0.2.0-1
- Update to 0.2.0

* Fri Jan 25 2019 Marek Hulan <mhulan@redhat.com> 0.1.2-1
- Update to 0.1.2

* Wed Sep 12 2018 Bryan Kearney <bryan.kearney@gmail.com> - 0.1.1-3
- Move licenes which are GPL-* to GPLv3

* Fri Sep 07 2018 Eric D. Helms <ericdhelms@gmail.com> - 0.1.1-2
- Rebuild for Rails 5.2 and Ruby 2.5

* Wed Jul 04 2018 Oleh Fedorenko <ofedoren@redhat.com> 0.1.1-1
- Add rubygem-hammer_cli_foreman_ansible generated by gem2rpm using the hammer_plugin template
